GoldenGateClient¶
- class oci.golden_gate.GoldenGateClient(config, **kwargs)¶
Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.
Methods:
__init__(config, **kwargs)Creates a new service client
add_connection_lock(connection_id, ...)Adds a lock to a Connection resource.
Adds a lock to a DeploymentBackup resource.
add_deployment_local_peer(deployment_id, ...)Adds a new local peer to the deployment, this will add the given placement to deployment placement attribute.
add_deployment_lock(deployment_id, ...)Adds a lock to a Deployment resource.
Cancels a Deployment Backup creation process.
Cancels a DeploymentUpgrade, applicable only for DeploymentUpgrade in Waiting state.
Cancel snooze of a DeploymentUpgrade.
change_connection_compartment(connection_id, ...)Moves the Connection into a different compartment within the same tenancy.
Associate a GoldanGate connection with a different subscription.
Note: Deprecated.
Moves a DeploymentBackup into a different compartment within the same tenancy.
change_deployment_compartment(deployment_id, ...)Moves the Deployment into a different compartment within the same tenancy.
Associate a GoldanGate deployment with a different subscription.
change_pipeline_compartment(pipeline_id, ...)Moves the Pipeline into a different compartment within the same tenancy.
clone_pipeline(clone_pipeline_details, **kwargs)Clones the pipeline.
collect_deployment_diagnostic(deployment_id, ...)Collects the diagnostic of a Deployment.
collect_pipeline_diagnostic(pipeline_id, ...)Collects diagnostics for the pipeline
copy_deployment_backup(deployment_backup_id, ...)Creates a copy of a Deployment Backup.
create_certificate(...)Creates a new certificate to truststore.
create_connection(create_connection_details, ...)Creates a new Connection.
Creates a new Connection Assignment.
Note: Deprecated.
create_deployment(create_deployment_details, ...)Creates a new Deployment.
Creates a new DeploymentBackup.
create_pipeline(create_pipeline_details, ...)Creates a new Pipeline.
delete_certificate(deployment_id, ...)Deletes the certificate from truststore.
delete_connection(connection_id, **kwargs)Deletes a Connection.
Deletes a Connection Assignment.
Note: Deprecated.
delete_deployment(deployment_id, **kwargs)Deletes the Deployment.
Deletes a DeploymentBackup.
delete_pipeline(pipeline_id, **kwargs)Deletes a Pipeline.
deployment_wallet_exists(deployment_id, ...)Checks if a wallet is already present in the deployment.
export_deployment_wallet(deployment_id, ...)Export the OGG wallet from the deployment to OCI vault.
Generates disaster recovery precheck report for standby peer.
generate_library_url(deployment_id, ...)Generates a Pre-Authenticated Request Object URL to a DB2 for z/OS library that needs to be uploaded to your DB2 for z/OS server in order to establish GoldenGate connections to it.
get_certificate(deployment_id, ...)Retrieves a Certificate.
get_connection(connection_id, **kwargs)Retrieves a Connection.
Retrieves a Connection Assignment.
Note: Deprecated.
get_deployment(deployment_id, **kwargs)Retrieves a deployment.
get_deployment_backup(deployment_backup_id, ...)Retrieves a DeploymentBackup.
Retrieves a deployment upgrade.
Returns DR precheck report for a standby peer with the specified placement (availabilityDomain and faultDomain).
get_pipeline(pipeline_id, **kwargs)Retrieves a Pipeline details.
get_work_request(work_request_id, **kwargs)Retrieve the WorkRequest identified by the given OCID.
import_deployment_wallet(deployment_id, ...)Imports an OGG wallet from the OCI Vault to the Deployment.
list_ai_models(compartment_id, ...)Returns the list of AI models for the specified provider.
list_ai_providers(compartment_id, **kwargs)Returns the list of AI providers along with their supported models.
list_certificates(deployment_id, **kwargs)Returns a list of certificates from truststore.
list_connection_assignments(compartment_id, ...)Lists the Connection Assignments in the compartment.
list_connections(compartment_id, **kwargs)Lists the Connections in the compartment.
list_database_registrations(compartment_id, ...)Note: Deprecated.
list_deployment_backups(compartment_id, **kwargs)Lists the Backups in a compartment.
list_deployment_environments(compartment_id, ...)Returns an array of DeploymentEnvironmentDescriptor
list_deployment_peers(deployment_id, **kwargs)Lists the local and remote peers in a deployment.
list_deployment_types(compartment_id, **kwargs)Returns an array of DeploymentTypeDescriptor
list_deployment_upgrades(compartment_id, ...)Lists the Deployment Upgrades in a compartment.
list_deployment_versions(compartment_id, ...)Returns the list of available deployment versions.
Lists the wallets export/import operations to/from a deployment.
list_deployments(compartment_id, **kwargs)Lists the Deployments in a compartment.
list_messages(deployment_id, **kwargs)Lists the DeploymentMessages for a deployment.
Retrieves a Pipeline recipe steps and its progress details.
list_pipeline_running_processes(pipeline_id, ...)Retrieves a Pipeline's running replication process's status like Capture/Apply.
list_pipeline_schema_tables(pipeline_id, ...)Returns an array of tables under the given schemas of the pipeline for given source and target schemas passed as query params.
list_pipeline_schemas(pipeline_id, **kwargs)Returns an array of schemas based on mapping rules for a pipeline.
list_pipelines(compartment_id, **kwargs)Lists the Pipelines in the compartment.
list_recipes(compartment_id, **kwargs)Returns an array of Recipe Summary.
list_trail_files(deployment_id, **kwargs)Lists the TrailFiles for a deployment.
list_trail_sequences(deployment_id, ...)Lists the Trail Sequences for a TrailFile in a given deployment.
list_work_request_errors(work_request_id, ...)Lists work request errors.
list_work_request_logs(work_request_id, **kwargs)Lists work request logs.
list_work_requests(compartment_id, **kwargs)Lists the work requests in the compartment.
migrate_connection(connection_id, ...)Migrate Connection attributes.
pause_pipeline(pipeline_id, ...)Pauses the pipeline.
refresh_connection(connection_id, ...)Refresh the external Connection attributes.
remove_connection_lock(connection_id, ...)Removes a lock from a Connection resource.
Removes a lock from a DeploymentBackup resource.
remove_deployment_local_peer(deployment_id, ...)Removes a local peer of the deployment, this will remove the given placement entry from the deployment placement attribute.
remove_deployment_lock(deployment_id, ...)Removes a lock from a Deployment resource.
Reschedules a DeploymentUpgrade, applicable only for DeploymentUpgrade in Waiting state.
restore_deployment(deployment_backup_id, ...)Restores a Deployment from a Deployment Backup created from the same Deployment.
Rollback a deployment to it's previous version.
Snooze a DeploymentUpgrade.
start_deployment(deployment_id, ...)Starts a Deployment.
start_pipeline(pipeline_id, ...)Starts the pipeline for data replication.
stop_deployment(deployment_id, ...)Stops a Deployment.
stop_pipeline(pipeline_id, ...)Stops the pipeline for data replication.
switchover_deployment_peer(deployment_id, ...)Switchover to the selected standby peer, which can be a local placement or a standby deployment in different region.
Tests the connectivity between given GoldenGate deployment and one of the associated database / service.
test_pipeline_connection(pipeline_id, ...)Tests pipeline connections against pipeline to verify the connectivity.
update_connection(connection_id, ...)Updates the Connection.
Note: Deprecated.
update_deployment(deployment_id, ...)Modifies a Deployment.
Modifies a Deployment Backup.
update_pipeline(pipeline_id, ...)Updates the Pipeline.
upgrade_deployment(deployment_id, ...)Upgrade a Deployment.
Upgrade a deployment.
- __init__(config, **kwargs)¶
Creates a new service client
- Parameters
config (dict) – Configuration keys and values as per SDK and Tool Configuration. The
from_file()method can be used to load configuration from a file. Alternatively, adictcan be passed. You can validate_config the dict usingvalidate_config()service_endpoint (str) – (optional) The endpoint of the service to call using this client. For example
https://iaas.us-ashburn-1.oraclecloud.com. If this keyword argument is not provided then it will be derived using the region in the config parameter. You should only provide this keyword argument if you have an explicit need to specify a service endpoint.timeout (float or tuple(float, float)) – (optional) The connection and read timeouts for the client. The default values are connection timeout 10 seconds and read timeout 60 seconds. This keyword argument can be provided as a single float, in which case the value provided is used for both the read and connection timeouts, or as a tuple of two floats. If a tuple is provided then the first value is used as the connection timeout and the second value as the read timeout.
signer (
AbstractBaseSigner) –(optional) The signer to use when signing requests made by the service client. The default is to use a
Signerbased on the values provided in the config parameter.One use case for this parameter is for Instance Principals authentication by passing an instance of
InstancePrincipalsSecurityTokenSigneras the value for this keyword argumentretry_strategy (obj) –
(optional) A retry strategy to apply to all calls made by this service client (i.e. at the client level). There is no retry strategy applied by default. Retry strategies can also be applied at the operation level by passing a
retry_strategykeyword argument as part of calling the operation. Any value provided at the operation level will override whatever is specified at the client level.This should be one of the strategies available in the
retrymodule. A convenienceDEFAULT_RETRY_STRATEGYis also available. The specifics of the default retry strategy are described here.circuit_breaker_strategy (obj) – (optional) A circuit breaker strategy to apply to all calls made by this service client (i.e. at the client level). This client uses
DEFAULT_CIRCUIT_BREAKER_STRATEGYas default if no circuit breaker strategy is provided. The specifics of circuit breaker strategy are described here.circuit_breaker_callback (function) – (optional) Callback function to receive any exceptions triggerred by the circuit breaker.
client_level_realm_specific_endpoint_template_enabled (bool) – (optional) A boolean flag to indicate whether or not this client should be created with realm specific endpoint template enabled or disable. By default, this will be set as None.
allow_control_chars – (optional) allow_control_chars is a boolean to indicate whether or not this client should allow control characters in the response object. By default, the client will not allow control characters to be in the response object.
enable_strict_url_encoding – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this client should enable strict url encoding in path params of a request. By default, the client will not enable strict url encoding
- add_connection_lock(connection_id, add_resource_lock_details, **kwargs)¶
Adds a lock to a Connection resource.
- Parameters
connection_id (str) –
(required) The OCID of a Connection.
add_resource_lock_details (oci.golden_gate.models.AddResourceLockDetails) – (required) AddResourceLockDetails body parameter
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeConnection- Return type
- Example
Click here to see an example of how to use add_connection_lock API.
- add_deployment_backup_lock(deployment_backup_id, add_resource_lock_details, **kwargs)¶
Adds a lock to a DeploymentBackup resource.
- Parameters
deployment_backup_id (str) – (required) A unique DeploymentBackup identifier.
add_resource_lock_details (oci.golden_gate.models.AddResourceLockDetails) – (required) AddResourceLockDetails body parameter
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDeploymentBackup- Return type
- Example
Click here to see an example of how to use add_deployment_backup_lock API.
- add_deployment_local_peer(deployment_id, add_deployment_local_peer_details, **kwargs)¶
Adds a new local peer to the deployment, this will add the given placement to deployment placement attribute. When provided, If-Match is checked against ETag values of the resource.
- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
add_deployment_local_peer_details (oci.golden_gate.models.AddDeploymentLocalPeerDetails) – (required) Metadata to add a local deployment
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use add_deployment_local_peer API.
- add_deployment_lock(deployment_id, add_resource_lock_details, **kwargs)¶
Adds a lock to a Deployment resource.
- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
add_resource_lock_details (oci.golden_gate.models.AddResourceLockDetails) – (required) AddResourceLockDetails body parameter
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDeployment- Return type
- Example
Click here to see an example of how to use add_deployment_lock API.
- cancel_deployment_backup(deployment_backup_id, cancel_deployment_backup_details, **kwargs)¶
Cancels a Deployment Backup creation process.
- Parameters
deployment_backup_id (str) – (required) A unique DeploymentBackup identifier.
cancel_deployment_backup_details (oci.golden_gate.models.CancelDeploymentBackupDetails) – (required) A placeholder for any additional metadata to describe the deployment backup cancel.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
is_lock_override (bool) – (optional) Whether to override locks (if any exist).
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use cancel_deployment_backup API.
- cancel_deployment_upgrade(deployment_upgrade_id, cancel_deployment_upgrade_details, **kwargs)¶
Cancels a DeploymentUpgrade, applicable only for DeploymentUpgrade in Waiting state. When provided, If-Match is checked against ETag values of the resource.
- Parameters
deployment_upgrade_id (str) – (required) A unique Deployment Upgrade identifier.
cancel_deployment_upgrade_details (oci.golden_gate.models.CancelDeploymentUpgradeDetails) – (required) A placeholder for any additional metadata to describe the cancel snooze of deployment upgrade.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDeploymentUpgrade- Return type
- Example
Click here to see an example of how to use cancel_deployment_upgrade API.
- cancel_snooze_deployment_upgrade(deployment_upgrade_id, cancel_snooze_deployment_upgrade_details, **kwargs)¶
Cancel snooze of a DeploymentUpgrade. When provided, If-Match is checked against ETag values of the resource.
- Parameters
deployment_upgrade_id (str) – (required) A unique Deployment Upgrade identifier.
cancel_snooze_deployment_upgrade_details (oci.golden_gate.models.CancelSnoozeDeploymentUpgradeDetails) – (required) A placeholder for any additional metadata to describe the cancel snooze of deployment upgrade.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use cancel_snooze_deployment_upgrade API.
- change_connection_compartment(connection_id, change_connection_compartment_details, **kwargs)¶
Moves the Connection into a different compartment within the same tenancy. When provided, If-Match is checked against ETag values of the resource. For information about moving resources between compartments, see Moving Resources Between Compartments.
- Parameters
connection_id (str) –
(required) The OCID of a Connection.
change_connection_compartment_details (oci.golden_gate.models.ChangeConnectionCompartmentDetails) – (required) Properties to change the compartment of a Connection.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
is_lock_override (bool) – (optional) Whether to override locks (if any exist).
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use change_connection_compartment API.
- change_connection_subscription(change_connection_subscription_details, connection_id, **kwargs)¶
Associate a GoldanGate connection with a different subscription.
- Parameters
change_connection_subscription_details (oci.golden_gate.models.ChangeConnectionSubscriptionDetails) – (required) Associate a GoldenGate connection with a different subscription.
connection_id (str) –
(required) The OCID of a Connection.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
opc_request_id (str) – (optional) Unique identifier for the request.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use change_connection_subscription API.
- change_database_registration_compartment(database_registration_id, change_database_registration_compartment_details, **kwargs)¶
Note: Deprecated. Use the /connections API instead. Moves the DatabaseRegistration into a different compartment within the same tenancy. When provided, If-Match is checked against ETag values of the resource. For information about moving resources between compartments, see Moving Resources Between Compartments.
- Parameters
database_registration_id (str) – (required) A unique DatabaseRegistration identifier.
change_database_registration_compartment_details (oci.golden_gate.models.ChangeDatabaseRegistrationCompartmentDetails) – (required) Properties to change the compartment of a DatabaseRegistration.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use change_database_registration_compartment API.
- change_deployment_backup_compartment(deployment_backup_id, change_deployment_backup_compartment_details, **kwargs)¶
Moves a DeploymentBackup into a different compartment within the same tenancy. When provided, If-Match is checked against ETag values of the resource. For information about moving resources between compartments, see Moving Resources Between Compartments.
- Parameters
deployment_backup_id (str) – (required) A unique DeploymentBackup identifier.
change_deployment_backup_compartment_details (oci.golden_gate.models.ChangeDeploymentBackupCompartmentDetails) – (required) Properties to change the compartment of a DeploymentBackup.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
is_lock_override (bool) – (optional) Whether to override locks (if any exist).
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use change_deployment_backup_compartment API.
- change_deployment_compartment(deployment_id, change_deployment_compartment_details, **kwargs)¶
Moves the Deployment into a different compartment within the same tenancy. When provided, If-Match is checked against ETag values of the resource. For information about moving resources between compartments, see Moving Resources Between Compartments.
- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
change_deployment_compartment_details (oci.golden_gate.models.ChangeDeploymentCompartmentDetails) – (required) Properties to change the compartment of a Deployment.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
is_lock_override (bool) – (optional) Whether to override locks (if any exist).
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use change_deployment_compartment API.
- change_deployment_subscription(change_deployment_subscription_details, deployment_id, **kwargs)¶
Associate a GoldanGate deployment with a different subscription.
- Parameters
change_deployment_subscription_details (oci.golden_gate.models.ChangeDeploymentSubscriptionDetails) – (required) Associate a GoldenGate deployment with a different subscription.
deployment_id (str) – (required) A unique Deployment identifier.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
opc_request_id (str) – (optional) Unique identifier for the request.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use change_deployment_subscription API.
- change_pipeline_compartment(pipeline_id, change_pipeline_compartment_details, **kwargs)¶
Moves the Pipeline into a different compartment within the same tenancy. When provided, If-Match is checked against ETag values of the resource. For information about moving resources between compartments, see Moving Resources Between Compartments.
- Parameters
pipeline_id (str) –
(required) The OCID of the pipeline created.
change_pipeline_compartment_details (oci.golden_gate.models.ChangePipelineCompartmentDetails) – (required) Properties to change the compartment of a Pipeline.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
is_lock_override (bool) – (optional) Whether to override locks (if any exist).
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use change_pipeline_compartment API.
- clone_pipeline(clone_pipeline_details, **kwargs)¶
Clones the pipeline.
- Parameters
clone_pipeline_details (oci.golden_gate.models.ClonePipelineDetails) – (required) Details to clone the pipeline.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
is_lock_override (bool) – (optional) Whether to override locks (if any exist).
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use clone_pipeline API.
- collect_deployment_diagnostic(deployment_id, collect_deployment_diagnostic_details, **kwargs)¶
Collects the diagnostic of a Deployment. When provided, If-Match is checked against ETag values of the resource.
- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
collect_deployment_diagnostic_details (oci.golden_gate.models.CollectDeploymentDiagnosticDetails) – (required) Metadata about the deployment diagnostic. This also includes the Object storage information where the diagnostic will be uploaded
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use collect_deployment_diagnostic API.
- collect_pipeline_diagnostic(pipeline_id, collect_pipeline_diagnostic_details, **kwargs)¶
Collects diagnostics for the pipeline
- Parameters
pipeline_id (str) –
(required) The OCID of the pipeline created.
collect_pipeline_diagnostic_details (oci.golden_gate.models.CollectPipelineDiagnosticDetails) – (required) Details for collecting the diagnostic. It includes the object storage information where the diagnostic will be uploaded.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use collect_pipeline_diagnostic API.
- copy_deployment_backup(deployment_backup_id, copy_deployment_backup_details, **kwargs)¶
Creates a copy of a Deployment Backup.
- Parameters
deployment_backup_id (str) – (required) A unique DeploymentBackup identifier.
copy_deployment_backup_details (oci.golden_gate.models.CopyDeploymentBackupDetails) – (required) A placeholder for any additional metadata to describe the copy of a Deployment Backup.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDeploymentBackup- Return type
- Example
Click here to see an example of how to use copy_deployment_backup API.
- create_certificate(create_certificate_details, deployment_id, **kwargs)¶
Creates a new certificate to truststore.
- Parameters
create_certificate_details (oci.golden_gate.models.CreateCertificateDetails) – (required) Specifications to create the certificate to truststore.
deployment_id (str) – (required) A unique Deployment identifier.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
is_lock_override (bool) – (optional) Whether to override locks (if any exist).
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use create_certificate API.
- create_connection(create_connection_details, **kwargs)¶
Creates a new Connection.
- Parameters
create_connection_details (oci.golden_gate.models.CreateConnectionDetails) – (required) Specification of the Connection to create.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeConnection- Return type
- Example
Click here to see an example of how to use create_connection API.
- create_connection_assignment(create_connection_assignment_details, **kwargs)¶
Creates a new Connection Assignment.
- Parameters
create_connection_assignment_details (oci.golden_gate.models.CreateConnectionAssignmentDetails) – (required) Specification of the connection assignment to create.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
is_lock_override (bool) – (optional) Whether to override locks (if any exist).
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeConnectionAssignment- Return type
- Example
Click here to see an example of how to use create_connection_assignment API.
- create_database_registration(create_database_registration_details, **kwargs)¶
Note: Deprecated. Use the /connections API instead. Creates a new DatabaseRegistration.
- Parameters
create_database_registration_details (oci.golden_gate.models.CreateDatabaseRegistrationDetails) – (required) Specification of the DatabaseRegistration to create.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDatabaseRegistration- Return type
- Example
Click here to see an example of how to use create_database_registration API.
- create_deployment(create_deployment_details, **kwargs)¶
Creates a new Deployment.
- Parameters
create_deployment_details (oci.golden_gate.models.CreateDeploymentDetails) – (required) Specifications to create the Deployment.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDeployment- Return type
- Example
Click here to see an example of how to use create_deployment API.
- create_deployment_backup(create_deployment_backup_details, **kwargs)¶
Creates a new DeploymentBackup.
- Parameters
create_deployment_backup_details (oci.golden_gate.models.CreateDeploymentBackupDetails) – (required) Specification of the DeploymentBackup to create.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDeploymentBackup- Return type
- Example
Click here to see an example of how to use create_deployment_backup API.
- create_pipeline(create_pipeline_details, **kwargs)¶
Creates a new Pipeline.
- Parameters
create_pipeline_details (oci.golden_gate.models.CreatePipelineDetails) – (required) Specification of the pipeline to create.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use create_pipeline API.
- delete_certificate(deployment_id, certificate_key, **kwargs)¶
Deletes the certificate from truststore.
- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
certificate_key (str) – (required) A unique certificate identifier.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
is_lock_override (bool) – (optional) Whether to override locks (if any exist).
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_certificate API.
- delete_connection(connection_id, **kwargs)¶
Deletes a Connection.
- Parameters
connection_id (str) –
(required) The OCID of a Connection.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
is_lock_override (bool) – (optional) Whether to override locks (if any exist).
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_connection API.
- delete_connection_assignment(connection_assignment_id, **kwargs)¶
Deletes a Connection Assignment.
- Parameters
connection_assignment_id (str) –
(required) The OCID of the Connection Assignment.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
is_lock_override (bool) – (optional) Whether to override locks (if any exist).
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_connection_assignment API.
- delete_database_registration(database_registration_id, **kwargs)¶
Note: Deprecated. Use the /connections API instead. Deletes a DatabaseRegistration.
- Parameters
database_registration_id (str) – (required) A unique DatabaseRegistration identifier.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_database_registration API.
- delete_deployment(deployment_id, **kwargs)¶
Deletes the Deployment.
- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
is_lock_override (bool) – (optional) Whether to override locks (if any exist).
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_deployment API.
- delete_deployment_backup(deployment_backup_id, **kwargs)¶
Deletes a DeploymentBackup.
- Parameters
deployment_backup_id (str) – (required) A unique DeploymentBackup identifier.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
is_lock_override (bool) – (optional) Whether to override locks (if any exist).
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_deployment_backup API.
- delete_pipeline(pipeline_id, **kwargs)¶
Deletes a Pipeline.
- Parameters
pipeline_id (str) –
(required) The OCID of the pipeline created.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
is_lock_override (bool) – (optional) Whether to override locks (if any exist).
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_pipeline API.
- deployment_wallet_exists(deployment_id, deployment_wallet_exists_details, **kwargs)¶
Checks if a wallet is already present in the deployment. When provided, If-Match is checked against ETag values of the resource.
- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
deployment_wallet_exists_details (oci.golden_gate.models.DeploymentWalletExistsDetails) – (required) A placeholder for any additional metadata to describe the deployment start.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDeploymentWalletExistsResponseDetails- Return type
- Example
Click here to see an example of how to use deployment_wallet_exists API.
- export_deployment_wallet(deployment_id, export_deployment_wallet_details, **kwargs)¶
Export the OGG wallet from the deployment to OCI vault. When provided, If-Match is checked against ETag values of the resource.
- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
export_deployment_wallet_details (oci.golden_gate.models.ExportDeploymentWalletDetails) – (required) Metadata to export the OGG wallet from deployment. This also includes the OCI vault information where the wallet will be exported to
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use export_deployment_wallet API.
- generate_disaster_recovery_precheck_report(deployment_id, generate_disaster_recovery_precheck_report_details, **kwargs)¶
Generates disaster recovery precheck report for standby peer.
- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
generate_disaster_recovery_precheck_report_details (oci.golden_gate.models.GenerateDisasterRecoveryPrecheckReportDetails) – (required) Parameters for the DR precheck report generation request.
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use generate_disaster_recovery_precheck_report API.
- generate_library_url(deployment_id, generate_library_url_details, **kwargs)¶
Generates a Pre-Authenticated Request Object URL to a DB2 for z/OS library that needs to be uploaded to your DB2 for z/OS server in order to establish GoldenGate connections to it. For licensing reasons, the URL is accessible for 10 minutes only.
- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
generate_library_url_details (oci.golden_gate.models.GenerateLibraryUrlDetails) – (required) A placeholder for any additional metadata to describe the request details.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried, in case of a timeout or server error, without the risk of executing that same action again. Retry tokens expire after 24 hours but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request is rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeLibraryUrl- Return type
- Example
Click here to see an example of how to use generate_library_url API.
- get_certificate(deployment_id, certificate_key, **kwargs)¶
Retrieves a Certificate.
- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
certificate_key (str) – (required) A unique certificate identifier.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeCertificate- Return type
- Example
Click here to see an example of how to use get_certificate API.
- get_connection(connection_id, **kwargs)¶
Retrieves a Connection.
- Parameters
connection_id (str) –
(required) The OCID of a Connection.
opc_request_id (str) – (optional) The client request ID for tracing.
view (str) –
(optional) Selects the connection fields returned in connection details.
Allowed values are: “FULL”, “COMPACT”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeConnection- Return type
- Example
Click here to see an example of how to use get_connection API.
- get_connection_assignment(connection_assignment_id, **kwargs)¶
Retrieves a Connection Assignment.
- Parameters
connection_assignment_id (str) –
(required) The OCID of the Connection Assignment.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeConnectionAssignment- Return type
- Example
Click here to see an example of how to use get_connection_assignment API.
- get_database_registration(database_registration_id, **kwargs)¶
Note: Deprecated. Use the /connections API instead. Retrieves a DatabaseRegistration.
- Parameters
database_registration_id (str) – (required) A unique DatabaseRegistration identifier.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDatabaseRegistration- Return type
- Example
Click here to see an example of how to use get_database_registration API.
- get_deployment(deployment_id, **kwargs)¶
Retrieves a deployment.
- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDeployment- Return type
- Example
Click here to see an example of how to use get_deployment API.
- get_deployment_backup(deployment_backup_id, **kwargs)¶
Retrieves a DeploymentBackup.
- Parameters
deployment_backup_id (str) – (required) A unique DeploymentBackup identifier.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDeploymentBackup- Return type
- Example
Click here to see an example of how to use get_deployment_backup API.
- get_deployment_upgrade(deployment_upgrade_id, **kwargs)¶
Retrieves a deployment upgrade.
- Parameters
deployment_upgrade_id (str) – (required) A unique Deployment Upgrade identifier.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDeploymentUpgrade- Return type
- Example
Click here to see an example of how to use get_deployment_upgrade API.
- get_disaster_recovery_precheck_report(deployment_id, availability_domain, fault_domain, **kwargs)¶
Returns DR precheck report for a standby peer with the specified placement (availabilityDomain and faultDomain).
- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
availability_domain (str) – (required) The availability domain of the placement to evaluate DR pre-checks for.
fault_domain (str) – (required) The fault domain of the placement to evaluate DR pre-checks for.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDisasterRecoveryPrecheckReport- Return type
- Example
Click here to see an example of how to use get_disaster_recovery_precheck_report API.
- get_pipeline(pipeline_id, **kwargs)¶
Retrieves a Pipeline details.
- Parameters
pipeline_id (str) –
(required) The OCID of the pipeline created.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
[...]
